import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class SMSAlarming1732696919191 implements MigrationInterface {
  name = "SMSAlarming1732696919191";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "communication",
      new TableColumn({
        name: "isSMSAlarming",
        type: "tinyint",
        default: 0,
        isNullable: false,
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("communication", "isSMSAlarming");
  }
}
